
From: Adrian Bunk <bunk@stusta.de>

This patch makes some needlessly global code static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 /dev/null                               |    0 
 25-akpm/drivers/char/agp/ali-agp.c      |    4 ++--
 25-akpm/drivers/char/agp/amd-k7-agp.c   |    2 +-
 25-akpm/drivers/char/agp/amd64-agp.c    |    2 +-
 25-akpm/drivers/char/agp/ati-agp.c      |    2 +-
 25-akpm/drivers/char/agp/backend.c      |    6 +++---
 25-akpm/drivers/char/agp/efficeon-agp.c |    2 +-
 25-akpm/drivers/char/agp/frontend.c     |    6 +++---
 25-akpm/drivers/char/agp/nvidia-agp.c   |    2 +-
 25-akpm/drivers/char/agp/sis-agp.c      |    2 +-
 25-akpm/drivers/char/agp/sworks-agp.c   |    2 +-
 25-akpm/drivers/char/agp/via-agp.c      |    4 ++--
 25-akpm/include/linux/agp_backend.h     |    2 --
 13 files changed, 17 insertions(+), 19 deletions(-)

diff -puN drivers/char/agp/ali-agp.c~agp-make-some-code-static drivers/char/agp/ali-agp.c
--- 25/drivers/char/agp/ali-agp.c~agp-make-some-code-static	Fri Mar 11 14:41:18 2005
+++ 25-akpm/drivers/char/agp/ali-agp.c	Fri Mar 11 14:41:18 2005
@@ -192,7 +192,7 @@ static struct aper_size_info_32 ali_gene
 	{4, 1024, 0, 3}
 };
 
-struct agp_bridge_driver ali_generic_bridge = {
+static struct agp_bridge_driver ali_generic_bridge = {
 	.owner			= THIS_MODULE,
 	.aperture_sizes		= ali_generic_sizes,
 	.size_type		= U32_APER_SIZE,
@@ -215,7 +215,7 @@ struct agp_bridge_driver ali_generic_bri
 	.agp_destroy_page	= ali_destroy_page,
 };
 
-struct agp_bridge_driver ali_m1541_bridge = {
+static struct agp_bridge_driver ali_m1541_bridge = {
 	.owner			= THIS_MODULE,
 	.aperture_sizes		= ali_generic_sizes,
 	.size_type		= U32_APER_SIZE,
diff -L drivers/char/agp/ali-agp.c.old -puN /dev/null /dev/null
diff -puN drivers/char/agp/amd64-agp.c~agp-make-some-code-static drivers/char/agp/amd64-agp.c
--- 25/drivers/char/agp/amd64-agp.c~agp-make-some-code-static	Fri Mar 11 14:41:18 2005
+++ 25-akpm/drivers/char/agp/amd64-agp.c	Fri Mar 11 14:41:18 2005
@@ -243,7 +243,7 @@ static void amd64_cleanup(void)
 }
 
 
-struct agp_bridge_driver amd_8151_driver = {
+static struct agp_bridge_driver amd_8151_driver = {
 	.owner			= THIS_MODULE,
 	.aperture_sizes		= amd_8151_sizes,
 	.size_type		= U32_APER_SIZE,
diff -L drivers/char/agp/amd64-agp.c.old -puN /dev/null /dev/null
diff -puN drivers/char/agp/amd-k7-agp.c~agp-make-some-code-static drivers/char/agp/amd-k7-agp.c
--- 25/drivers/char/agp/amd-k7-agp.c~agp-make-some-code-static	Fri Mar 11 14:41:18 2005
+++ 25-akpm/drivers/char/agp/amd-k7-agp.c	Fri Mar 11 14:41:18 2005
@@ -358,7 +358,7 @@ static struct gatt_mask amd_irongate_mas
 	{.mask = 1, .type = 0}
 };
 
-struct agp_bridge_driver amd_irongate_driver = {
+static struct agp_bridge_driver amd_irongate_driver = {
 	.owner			= THIS_MODULE,
 	.aperture_sizes		= amd_irongate_sizes,
 	.size_type		= LVL2_APER_SIZE,
diff -L drivers/char/agp/amd-k7-agp.c.old -puN /dev/null /dev/null
diff -puN drivers/char/agp/ati-agp.c~agp-make-some-code-static drivers/char/agp/ati-agp.c
--- 25/drivers/char/agp/ati-agp.c~agp-make-some-code-static	Fri Mar 11 14:41:18 2005
+++ 25-akpm/drivers/char/agp/ati-agp.c	Fri Mar 11 14:41:18 2005
@@ -393,7 +393,7 @@ static int ati_free_gatt_table(struct ag
 	return 0;
 }
 
-struct agp_bridge_driver ati_generic_bridge = {
+static struct agp_bridge_driver ati_generic_bridge = {
 	.owner			= THIS_MODULE,
 	.aperture_sizes		= ati_generic_sizes,
 	.size_type		= LVL2_APER_SIZE,
diff -L drivers/char/agp/ati-agp.c.old -puN /dev/null /dev/null
diff -puN drivers/char/agp/backend.c~agp-make-some-code-static drivers/char/agp/backend.c
--- 25/drivers/char/agp/backend.c~agp-make-some-code-static	Fri Mar 11 14:41:18 2005
+++ 25-akpm/drivers/char/agp/backend.c	Fri Mar 11 14:41:18 2005
@@ -50,7 +50,7 @@ static struct agp_version agp_current_ve
 	.minor = AGPGART_VERSION_MINOR,
 };
 
-struct agp_bridge_data *(*agp_find_bridge)(struct pci_dev *) =
+static struct agp_bridge_data *(*agp_find_bridge)(struct pci_dev *) =
 	&agp_generic_find_bridge;
 
 struct agp_bridge_data *agp_bridge;
@@ -96,7 +96,7 @@ void agp_backend_release(struct agp_brid
 EXPORT_SYMBOL(agp_backend_release);
 
 
-struct { int mem, agp; } maxes_table[] = {
+static struct { int mem, agp; } maxes_table[] = {
 	{0, 0},
 	{32, 4},
 	{64, 28},
@@ -321,7 +321,7 @@ static int __init agp_init(void)
 	return 0;
 }
 
-void __exit agp_exit(void)
+static void __exit agp_exit(void)
 {
 }
 
diff -L drivers/char/agp/backend.c.old -puN /dev/null /dev/null
diff -puN drivers/char/agp/efficeon-agp.c~agp-make-some-code-static drivers/char/agp/efficeon-agp.c
--- 25/drivers/char/agp/efficeon-agp.c~agp-make-some-code-static	Fri Mar 11 14:41:18 2005
+++ 25-akpm/drivers/char/agp/efficeon-agp.c	Fri Mar 11 14:41:18 2005
@@ -303,7 +303,7 @@ static int efficeon_remove_memory(struct
 }
 
 
-struct agp_bridge_driver efficeon_driver = {
+static struct agp_bridge_driver efficeon_driver = {
 	.owner			= THIS_MODULE,
 	.aperture_sizes		= efficeon_generic_sizes,
 	.size_type		= LVL2_APER_SIZE,
diff -L drivers/char/agp/efficeon-agp.c.old -puN /dev/null /dev/null
diff -puN drivers/char/agp/frontend.c~agp-make-some-code-static drivers/char/agp/frontend.c
--- 25/drivers/char/agp/frontend.c~agp-make-some-code-static	Fri Mar 11 14:41:18 2005
+++ 25-akpm/drivers/char/agp/frontend.c	Fri Mar 11 14:41:18 2005
@@ -235,7 +235,7 @@ static void agp_insert_into_pool(struct 
 
 /* File private list routines */
 
-struct agp_file_private *agp_find_private(pid_t pid)
+static struct agp_file_private *agp_find_private(pid_t pid)
 {
 	struct agp_file_private *curr;
 
@@ -250,7 +250,7 @@ struct agp_file_private *agp_find_privat
 	return NULL;
 }
 
-void agp_insert_file_private(struct agp_file_private * priv)
+static void agp_insert_file_private(struct agp_file_private * priv)
 {
 	struct agp_file_private *prev;
 
@@ -262,7 +262,7 @@ void agp_insert_file_private(struct agp_
 	agp_fe.file_priv_list = priv;
 }
 
-void agp_remove_file_private(struct agp_file_private * priv)
+static void agp_remove_file_private(struct agp_file_private * priv)
 {
 	struct agp_file_private *next;
 	struct agp_file_private *prev;
diff -L drivers/char/agp/frontend.c.old -puN /dev/null /dev/null
diff -puN drivers/char/agp/nvidia-agp.c~agp-make-some-code-static drivers/char/agp/nvidia-agp.c
--- 25/drivers/char/agp/nvidia-agp.c~agp-make-some-code-static	Fri Mar 11 14:41:18 2005
+++ 25-akpm/drivers/char/agp/nvidia-agp.c	Fri Mar 11 14:41:18 2005
@@ -288,7 +288,7 @@ static struct gatt_mask nvidia_generic_m
 };
 
 
-struct agp_bridge_driver nvidia_driver = {
+static struct agp_bridge_driver nvidia_driver = {
 	.owner			= THIS_MODULE,
 	.aperture_sizes		= nvidia_generic_sizes,
 	.size_type		= U8_APER_SIZE,
diff -L drivers/char/agp/nvidia-agp.c.old -puN /dev/null /dev/null
diff -puN drivers/char/agp/sis-agp.c~agp-make-some-code-static drivers/char/agp/sis-agp.c
--- 25/drivers/char/agp/sis-agp.c~agp-make-some-code-static	Fri Mar 11 14:41:18 2005
+++ 25-akpm/drivers/char/agp/sis-agp.c	Fri Mar 11 14:41:18 2005
@@ -119,7 +119,7 @@ static struct aper_size_info_8 sis_gener
 	{4, 1024, 0, 3}
 };
 
-struct agp_bridge_driver sis_driver = {
+static struct agp_bridge_driver sis_driver = {
 	.owner			= THIS_MODULE,
 	.aperture_sizes 	= sis_generic_sizes,
 	.size_type		= U8_APER_SIZE,
diff -L drivers/char/agp/sis-agp.c.old -puN /dev/null /dev/null
diff -puN drivers/char/agp/sworks-agp.c~agp-make-some-code-static drivers/char/agp/sworks-agp.c
--- 25/drivers/char/agp/sworks-agp.c~agp-make-some-code-static	Fri Mar 11 14:41:18 2005
+++ 25-akpm/drivers/char/agp/sworks-agp.c	Fri Mar 11 14:41:18 2005
@@ -409,7 +409,7 @@ static void serverworks_agp_enable(struc
 	agp_device_command(command, 0);
 }
 
-struct agp_bridge_driver sworks_driver = {
+static struct agp_bridge_driver sworks_driver = {
 	.owner			= THIS_MODULE,
 	.aperture_sizes		= serverworks_sizes,
 	.size_type		= LVL2_APER_SIZE,
diff -L drivers/char/agp/sworks-agp.c.old -puN /dev/null /dev/null
diff -puN drivers/char/agp/via-agp.c~agp-make-some-code-static drivers/char/agp/via-agp.c
--- 25/drivers/char/agp/via-agp.c~agp-make-some-code-static	Fri Mar 11 14:41:18 2005
+++ 25-akpm/drivers/char/agp/via-agp.c	Fri Mar 11 14:41:18 2005
@@ -172,7 +172,7 @@ static void via_tlbflush_agp3(struct agp
 }
 
 
-struct agp_bridge_driver via_agp3_driver = {
+static struct agp_bridge_driver via_agp3_driver = {
 	.owner			= THIS_MODULE,
 	.aperture_sizes		= agp3_generic_sizes,
 	.size_type		= U8_APER_SIZE,
@@ -195,7 +195,7 @@ struct agp_bridge_driver via_agp3_driver
 	.agp_destroy_page	= agp_generic_destroy_page,
 };
 
-struct agp_bridge_driver via_driver = {
+static struct agp_bridge_driver via_driver = {
 	.owner			= THIS_MODULE,
 	.aperture_sizes		= via_generic_sizes,
 	.size_type		= U8_APER_SIZE,
diff -L drivers/char/agp/via-agp.c.old -puN /dev/null /dev/null
diff -puN include/linux/agp_backend.h~agp-make-some-code-static include/linux/agp_backend.h
--- 25/include/linux/agp_backend.h~agp-make-some-code-static	Fri Mar 11 14:41:18 2005
+++ 25-akpm/include/linux/agp_backend.h	Fri Mar 11 14:41:18 2005
@@ -94,8 +94,6 @@ struct agp_memory {
 extern struct agp_bridge_data *agp_bridge;
 extern struct list_head agp_bridges;
 
-extern struct agp_bridge_data *(*agp_find_bridge)(struct pci_dev *);
-
 extern void agp_free_memory(struct agp_memory *);
 extern struct agp_memory *agp_allocate_memory(struct agp_bridge_data *, size_t, u32);
 extern int agp_copy_info(struct agp_bridge_data *, struct agp_kern_info *);
diff -L include/linux/agp_backend.h.old -puN /dev/null /dev/null
_
